/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * AlertFrame.java
 *
 * Created on April 10, 2002, 12:11 PM
 */
package com.voztele.sipspy;

import javax.swing.*;

/**
*
*/
public class AlertFrame extends JOptionPane {

	public String finalInputValue;

	/** Creates new AlertFrame */
	public AlertFrame(String text, int messageType) {
		super("Alert");
		if (messageType == JOptionPane.ERROR_MESSAGE)
			showMessageDialog(this, text, "Error", messageType);
		else if (messageType == JOptionPane.WARNING_MESSAGE)
			showMessageDialog(this, text, "Warning", messageType);
		else
			showMessageDialog(this, "Unknown alert message");

	}

	/** Creates new AlertFrame */
	public AlertFrame(String text, int messageType, String initialInputValue) {
		super("Alert");
		finalInputValue = null;
		if (messageType == JOptionPane.ERROR_MESSAGE)
			showMessageDialog(this, text, "Error", messageType);
		else if (messageType == JOptionPane.WARNING_MESSAGE)
			showMessageDialog(this, text, "Warning", messageType);
		else if (messageType == JOptionPane.INFORMATION_MESSAGE) {
			finalInputValue =
				(String) showInputDialog(this,
					text,
					"Information",
					messageType,
					null,
					null,
					initialInputValue);
		} else
			showMessageDialog(this, "Unknown alert message");

	}

	/** Creates new AlertFrame */
	public AlertFrame(String text) {
		super("Alert");
		// information message by default
		showMessageDialog(this, text);
	}

}
