/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.voztele.sipspy;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class DebugWindow extends javax.swing.JFrame {

	public JPanel mainPanel;
	public JButton okButton;

	public DebugWindow(String beforeDebug, String afterDebug, String title) {
		super("Debug window: Debug Log Line " + title);

		initComponents(beforeDebug, afterDebug);
	}

	public void initComponents(String beforeDebug, String afterDebug) {
		/********************** The main container ****************************/

		Container container = this.getContentPane();

		container.setBackground(Color.black);
		this.setSize(700, 550);
		this.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {

			}
		});

		/*************************** MAIN PANEL ********************************/

		mainPanel = new JPanel();
		// If put to False: we see the container's background
		mainPanel.setOpaque(false);
		mainPanel.setLayout(new BoxLayout(mainPanel, BoxLayout.X_AXIS));
		container.add(mainPanel);

		JTextArea beforeDebugTextArea = new JTextArea();
		beforeDebugTextArea.setEditable(false);
		beforeDebugTextArea.setFont(new Font("Dialog", 1, 12));
		beforeDebugTextArea.setForeground(Color.black);
		beforeDebugTextArea.setText(
			"***********************************************\n"
				+ "STACK TRACE BEFORE \n"
				+ " THE SIP MESSAGE\n"
				+ "***********************************************\n\n"
				+ beforeDebug);
		ScrollPane scrollBefore = new ScrollPane(ScrollPane.SCROLLBARS_ALWAYS);
		scrollBefore.add(beforeDebugTextArea);
		mainPanel.add(scrollBefore);

		JTextArea afterDebugTextArea = new JTextArea();
		afterDebugTextArea.setEditable(false);
		afterDebugTextArea.setFont(new Font("Dialog", 1, 12));
		afterDebugTextArea.setForeground(Color.black);
		afterDebugTextArea.setText(
			"************************************************\n"
				+ "STACK TRACE AFTER \n"
				+ " THE SIP MESSAGE\n"
				+ "************************************************\n\n"
				+ afterDebug);
		ScrollPane scrollAfter = new ScrollPane(ScrollPane.SCROLLBARS_ALWAYS);
		scrollAfter.add(afterDebugTextArea);
		mainPanel.add(scrollAfter);

	}

}
