/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


package com.voztele.sipspy;

import java.util.Comparator;

public class LogComparator implements Comparator {
	public int compare(Object obj1, Object obj2) {
		try {
			SipMessage m1 = (SipMessage) obj1;
			SipMessage m2 = (SipMessage) obj2;
			long ts1 = Long.parseLong(m1.getTime());
			long ts2 = Long.parseLong(m2.getTime());
			if (ts1 < ts2)
				return -1;
			else if (ts1 > ts2)
				return 1;
			else
				return 0;
		} catch (NumberFormatException ex) {
			ex.printStackTrace();
			System.exit(0);
			return 0;
		}
	}

	public boolean equals(Object obj2) {
		return super.equals(obj2);

	}

}
