/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.voztele.sipspy;

import java.awt.Image;
import java.awt.Toolkit;
import java.io.IOException;
import java.io.InputStream;
import java.util.Hashtable;

import javax.swing.ImageIcon;

import com.voztele.sipspy.connections.Connection;

public class Utils {
	
	private static ImageIcon connectedIco=null;
	private static ImageIcon disconnectedIco=null;
	private static ImageIcon connectionErrorIco=null;
	private static ImageIcon newConnectionIco=null;
	private static Image back = null;
	private static Image comp = null;
	private static Image faces = null;
	private static Hashtable icons = new Hashtable();

	public static ImageIcon getIcon(int state) throws IOException{
		switch(state){
			case Connection.CONNECTED:
				if(connectedIco!=null)return connectedIco;
				return (connectedIco = loadIcon("emoticon_grin.png"));
			case Connection.DISCONNECTED:
				if(disconnectedIco!=null)return disconnectedIco;
				return (disconnectedIco = loadIcon("emoticon_tongue.png"));
			case Connection.ERROR:
				if(connectionErrorIco!=null)return connectionErrorIco;
				return (connectionErrorIco = loadIcon("exclamation.png"));
			default:
					return null;
		}
	}
	
	private static ImageIcon loadIcon(String ico){
		InputStream in=null;
		if(ico.charAt(0)!='/')
			in = Utils.class.getResourceAsStream("images/"+ico);
		else 
			in = Utils.class.getResourceAsStream(ico);
        byte buf[];
        if(in==null)
           return null;
		try {
			buf = new byte[in.available()];
	        in.read(buf);
		} catch (IOException e) {
			return null;
		}
        return new ImageIcon(Toolkit.getDefaultToolkit().createImage(buf));
	}
	
	private static Image loadImage(String image){
		InputStream in=null;
		if(image.charAt(0)!='/')
			in = Utils.class.getResourceAsStream("images/"+image);
		else 
			in = Utils.class.getResourceAsStream(image);
        byte buf[];
		try {
			buf = new byte[in.available()];
	        in.read(buf);
		} catch (IOException e) {
			return null;
		}
        return Toolkit.getDefaultToolkit().createImage(buf);
	}
	
	public static ImageIcon getIcon(String ico){
		if(icons.containsKey(ico))
			return (ImageIcon) icons.get(ico);
		ImageIcon ii = null;
		ii = loadIcon(ico);
        icons.put(ico,ii);
		return ii;
	}
	
	public static Image getImage(String image){
		if(image.equals("back.gif")){
			if(back!=null)return back;
			return (back = loadImage(image));
		}else if(image.equals("comp.gif")){
			if(comp!=null)return comp;
			return (comp = loadImage(image));
		}else if(image.equals("faces.jpg")){
			if(faces!=null)return faces;
			return (faces= loadImage(image));
		}else if(image.equals("compupter4.gif")){
			if(comp!=null)return comp;
			return (comp = loadImage(image));
		}
		return loadImage(image);
	}
		
		
}
