/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * Created on 29/09/2005 by Voztele.com
 *
 * TODO Add javadoc, edit members ..
 * 
 */
package com.voztele.sipspy.connections;

import java.awt.Component;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import java.util.Hashtable;

import javax.swing.AbstractCellEditor;
import javax.swing.JComboBox;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import org.apache.log4j.Logger;

class LittleCellEditor extends AbstractCellEditor implements
		TableCellEditor, TableCellRenderer, ItemListener {

	private Hashtable comboBoxes = new Hashtable();

	private String selected;

	Logger log = Logger.getLogger(this.getClass());

	public Component getTableCellRendererComponent(JTable table,
			Object value, boolean isSelected, boolean hasFocus,
			int rowIndex, int vColIndex) {
		ConnectionsTableModel ctm = (ConnectionsTableModel) table
				.getModel();
		Connection c = ctm.getConnection(rowIndex);
		MyJComboBox jcb = (MyJComboBox) comboBoxes.get(c);
		if (jcb == null) {
			String[] devices = c.getDevices();
			jcb = new MyJComboBox(devices);
			c.addListener(jcb);
			jcb.addItemListener(this);
			jcb.setValue((String) value);
			comboBoxes.put(c, jcb);
			return (jcb);
		} else {
			return jcb;
		}
	}
	
	public Component getTableCellEditorComponent(JTable table,
			Object value, boolean isSelected, int row, int column) {
		
		selected=null;
		ConnectionsTableModel ctm = (ConnectionsTableModel) table
				.getModel();
		Connection c = ctm.getConnection(row);
		MyJComboBox jcb = (MyJComboBox) comboBoxes.get(c);
		if (jcb == null) {
			String[] devices = c.getDevices();
			jcb = new MyJComboBox(devices);
			c.addListener(jcb);
			jcb.addItemListener(this);
			comboBoxes.put(c, jcb);
			return jcb;
		} else {
//			jcb.setSelectedItem(jcb.getValue());
			return jcb;
		}
	}


	public Object getCellEditorValue() {
		return selected;
	}

	public void itemStateChanged(ItemEvent e) {
		MyJComboBox jcb = (MyJComboBox) e.getSource();
		String s = (String) jcb.getSelectedItem();
		if(e.getStateChange() == ItemEvent.SELECTED){
			selected = s;
			jcb.setValue(s);
			stopCellEditing();
		}
	}
}