/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * ScriptFrame.java
 *
 * Created on April 30, 2002, 11:50 AM
 */
package com.voztele.sipspy.ui;

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Color;
import java.awt.Container;
import java.awt.Dialog;
import java.awt.Frame;
import java.awt.TextArea;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class ScriptFrame extends Dialog {

	public TextArea infoTextArea;
	public Container container;
	public Button ok;

	/** Creates new ScriptFrame */
	public ScriptFrame() {
		super(new Frame(), " Auxiliary information ", false);
		initComponents();
	}

	public void initComponents() {

		setLayout(new BorderLayout());
		setBackground(Color.lightGray);
		setSize(512, 384);

		/**********************************************************************/

		infoTextArea = new TextArea();
		infoTextArea.setEditable(false);
		infoTextArea.setBackground(Color.white);
		add(infoTextArea, BorderLayout.CENTER);

		ok = new Button("  Ok  ");
		ok.setBackground(Color.lightGray);
		ok.setForeground(Color.black);
		add(ok, BorderLayout.SOUTH);
		ok.addMouseListener(new MouseAdapter() {
			public void mouseClicked(MouseEvent e) {
				setVisible(false);
				dispose();
			}
		});

		this.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				setVisible(false);

				dispose();

			}
		});

		setVisible(false);
	}

	public void setText(String host, String text) {
		setTitle("Auxiliary information for " + host);
		infoTextArea.setText(text);
	}

}
