/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.voztele.sipspy.ui;

import javax.swing.JTabbedPane;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JFrame;

import java.awt.*;
import java.awt.event.*;

public class TabbedPaneDemo extends JPanel {
	public TabbedPaneDemo() {
		ImageIcon icon = new ImageIcon("images/middle.gif");
		JTabbedPane tabbedPane = new JTabbedPane();

		Component panel1 = makeTextPanel("Blah");
		tabbedPane.addTab("One", icon, panel1, "Does nothing");
		tabbedPane.setSelectedIndex(0);

		Component panel2 = makeTextPanel("Blah blah");
		tabbedPane.addTab("Two", icon, panel2, "Does twice as much nothing");

		Component panel3 = makeTextPanel("Blah blah blah");
		tabbedPane.addTab("Three", icon, panel3, "Still does nothing");

		Component panel4 = makeTextPanel("Blah blah blah blah");
		tabbedPane.addTab("Four", icon, panel4, "Does nothing at all");

		//Add the tabbed pane to this panel.
		setLayout(new GridLayout(1, 1));
		add(tabbedPane);
	}

	protected Component makeTextPanel(String text) {
		JPanel panel = new JPanel(false);
		JLabel filler = new JLabel(text);
		filler.setHorizontalAlignment(JLabel.CENTER);
		panel.setLayout(new GridLayout(1, 1));
		panel.add(filler);
		return panel;
	}

	public static void main(String[] args) {
		JFrame frame = new JFrame("TabbedPaneDemo");
		frame.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

		frame.getContentPane().add(new TabbedPaneDemo(), BorderLayout.CENTER);
		frame.setSize(400, 125);
		frame.setVisible(true);
	}
}
