/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef CAPTURE_H
#define CAPTURE_H
#include "spyAgent.h"
enum sessionErr{
   SUCCESS=0,
   ERR_OPEN,
   ERR_LOOKUPNET,
   ERR_FILTER
};
enum sessionErr begin_session (char *dev,char *str_filter, pcap_t **handle);
int cookRawPacket(const struct pcap_pkthdr *header,const u_char *packet,packetT *p);
int cookSipPacket(packetT *p);
packetT *alloc_packet_mem(int messageSize);
void free_packet_mem(packetT *p);
int packetMatches(sessionT *session,packetT *packet);
int generateXml(packetT *cookedPacket,char *buffer,int len);
int capture_packet(const u_char *packet,const struct pcap_pkthdr *header,packetT *cookedPacket);
int isSip(packetT *p);
#endif
