/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef COMMANDS_H
#define COMMANDS_H
#include "spyAgent.h"
enum cmdStat {
   CS_SUCCESS=0,
   /* Error processing response (ignore command) */
   CS_ERROR,
   /* Client disconnected, remove client */
   CS_REMOVE,
   /* Unknown command */
   CS_UNKNOWN,
   /* A file is to be received*/
   CS_FILE
};


struct command{
   char *cmdname;
   enum cmdStat (*callback) (sessionT *s,str arg,int cseq);
};

enum cmdStat device_command(sessionT *session,str arg,int cseq);
enum cmdStat filter_command(sessionT *session,str arg,int cseq);
enum cmdStat regexp_command(sessionT *session,str arg,int cseq);
enum cmdStat bye_command(sessionT *session,str arg,int cseq);
enum cmdStat username_command(sessionT *session,str arg,int cseq);
enum cmdStat password_command(sessionT *session,str arg,int cseq);
enum cmdStat dst_ip_command(sessionT *session,str arg,int cseq);
enum cmdStat src_ip_command(sessionT *session,str arg,int cseq);
enum cmdStat save_command(sessionT *session,str arg,int cseq);
enum cmdStat replay_command(sessionT *session,str arg,int cseq);
enum cmdStat list_command(sessionT *session,str arg,int cseq);

#endif
